Сайт | Скачать | Видео | Wiki

Голосование

Нужна ли большая сборка PRA-roll ?

Да. XFCE + LXQT
11 (25.6%)
Да. XFCE
18 (41.9%)
Да. LXQT
4 (9.3%)
Да. С другим DE (Mate, KDE ... - пишите в комментарии)
3 (7%)
Нет. Достаточно OLS
7 (16.3%)

Проголосовало пользователей: 43

Автор Тема: PRA-roll. x86_64 (64бит). Frugal + Full c автообновлением пакетов  (Прочитано 190521 раз)

0 Пользователей и 2 Гостей просматривают эту тему.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 33054
  • Репутация: +226/-0
  • Автор темы
    • PuppyRus-A
блокировка экрана будет на Win+l
В https://mirror.yandex.ru/puppyrus/roll/2110/pfs/040-de-xfce-gtk3-4.16-2110-sf04.pfs давно починено и выше по теме про это вроде писал
У тебя автообновление сломано или выключено? :)

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10726
  • Репутация: +113/-2
на фтп яндекса его нету.
есть https://mirror.yandex.ru/puppyrus/puppyrus-a64/pfs-portable/celluloid-gtk3-p-0.21_64-sf06.pfs
У тебя автообновление сломано или выключено?
работает автообновление, как раз перед своим сообщением проверил. а вручную смотрю вот здесь (и там есть предыдущие версии) https://mirror.yandex.ru/puppyrus/roll/2110/pfs/
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10726
  • Репутация: +113/-2
давно починено и выше по теме про это вроде
а конфиги то в changes уже создались от старого и поэтому не видно что починено
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 4999
  • Репутация: +128/-1
У тебя автообновление сломано или выключено?
Код
live@roll2110 ..ar21.10-x86_64-03.iso/prar2110/modules % ll celluloid*
-rw-rw-rw- 1 1015 513 63090688 ноя 15 14:32 celluloid-0.21-2110-sf03.pfs
celluloid-gtk3-p-0.21_64-sf06.pfs
А автообновление умеет в такое, 0.21-2110-sf03 и 0.21_64-sf06? А то я тоже впервые вижу sf06, хотя много раз запускал prar2110.iso.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 33054
  • Репутация: +226/-0
  • Автор темы
    • PuppyRus-A
$ celluloid
celluloid: symbol lookup error: /usr/lib/libavdevice.so.58: undefined symbol: xcb_shape_rectangles
celluloid-0.21-2110-sf03.pfs этот pfs. Xcb наверное виноват
Обновляй до celluloid-0.21-2110-sf06.pfs
Извиняюсь. Перепутал портированный  и из арчрепы - celluloid-0.21-2110-sf03.pfs
Из арчрепы - да этот самый последний. У меня нет такой проблемы - см. скрин
С этими ошибками он у тебя работает?
libavdevice.so.58 у тебя из родного среза 2110 арчрепы?



конфиги то в changes уже создались
Да. Тогда или снести их или как ты выше написал или переопределить через гуй

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 33054
  • Репутация: +226/-0
  • Автор темы
    • PuppyRus-A
А автообновление умеет в такое
нет и не надо. Эти модули принципиально разные - мой самопальный и родной.
Перепутал

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10726
  • Репутация: +113/-2
libavdevice.so.58 у тебя из родного среза 2110 арчрепы?
он идет внутри пакета celluloid же.

Поставил 0.21_64-sf06 - проблема ушла (но надо бы нормальный чтоли сделать)

Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 33054
  • Репутация: +226/-0
  • Автор темы
    • PuppyRus-A
он идет внутри пакета celluloid же.
Тогда из родного (если у тебя его другой какой-нибудь модуль не подменил)
0.21_64-sf06
Это мой перекомпиленный.
У меня нет такой проблемы
с -2110-
 

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10726
  • Репутация: +113/-2
у меня тоже 2110 и в usr/lib нет этой либы (и других подобных)
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн Демьян

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 537
  • Репутация: +7/-0
Хорошая установка копированием файлов и редактированием menu.lst
Код
# меню лист для pra-roll-21-10-x86_64-03

title pra-roll-21-10-x86_64-03 c жocткoгo с сохранением в базе
# тоже рабочий вариант (правильно указывать каталог установки ПРА, здесь указан каталог "pra") find --set-root --ignore-floppies --ignore-cd /pra09-1909-i686-terminator/initrd.xz
  rootnoverify (hd0,3) /pra-roll-21-10-x86_64-03/
kernel /pra-roll-21-10-x86_64-03/vmlinuz-4.4.1-pf3 dir=pra-roll-21-10-x86_64-03
initrd /pra-roll-21-10-x86_64-03/initrd.xz

title pra09-1909-i686-terminator c жocткoгo в озу, без сохранения и подкачки
# тоже рабочий вариант rootnoverify (hd0,3) /pra09-1909-i686-terminator/
find --set-root --ignore-floppies --ignore-cd /pra-roll-21-10-x86_64-03/initrd.xz
kernel /pra09-1909-i686-terminator/vmlinuz-4.4.1-pf3 dir=pra-roll-21-10-x86_64-03 copy2ram noswap quiet
initrd /pra09-1909-i686-terminator/initrd.xz
не работает с pra-roll-21-10-x86_64-03 - нет vmlinuz-4.4.1-pf3 (
Ноут Asus X551M с PuppyRus-A 09-1909, DDR01-20.11

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 33054
  • Репутация: +226/-0
  • Автор темы
    • PuppyRus-A
нет vmlinuz-4.4.1-pf3
Это вообще 32бит ядро и его нет в исо. Замените на то, что есть в исо

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10726
  • Репутация: +113/-2
С щелчками при открытии микшера разобрался отключением pc-speaker (в ноутбуке то его и нет наверное, хотя логи показывают что есть)

# cat /etc/modprobe.d/nobeep.conf
blacklist snd_pcsp
blacklist pcspkr


Пытался сделать модуль blueman, не получилось.
Код
  File "/usr/lib/python3.9/site-packages/gi/__init__.py", line 126, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace Gtk not available

pulseaudio в системе 13.0, где для него дернуть пакет pulseaudio-bluetooth? pacman выдает уже для 15 версии пакет
« Последнее редактирование: 07 Январь 2022, 07:27:25 от Pro »
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 33054
  • Репутация: +226/-0
  • Автор темы
    • PuppyRus-A
Пытался сделать модуль blueman, не получилось.
http://mirror.yandex.ru/puppyrus/roll/2110/pfs/001-prar-2110-sf06_DEV.pfs или DEVX подключены?
Еще может быть с гтк3 проблема

pulseaudio в системе 13.0
001-prar-2110-sf06.pfs/var/lib/pacman/local/pulseaudio-15.0-1 у тебя точно прар2110?
Пульс в 001 из арчрепы без экспериментов. Ставь остальное оттуда же
Myxer смотрел? Нормальная замена pavuc?

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 33054
  • Репутация: +226/-0
  • Автор темы
    • PuppyRus-A
001-prar-2110-sf07.pfs
001-prar-2110-sf07_DEV.pfs
089-upd-2110-sf31.pfs
обновил :
gtk3-classic-3.24.30-2-x86_64.pkg.tar.zst
htop-3.1.2-1-x86_64.pkg.tar.xz
openssl-1.1.1.m-1-x86_64.pkg.tar.zst
radeontop-1.4-1-x86_64.pkg.tar.xz
zlib-ng-2.0.6-1-x86_64.pkg.tar.zst
DEVX-2110-sf07.pfs добавил все для компиляции ядра

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10726
  • Репутация: +113/-2
Гуд. Заработал blueman.

модуль bluez (c pulseaudio-bluetooth)+ 001-prar-2110-sf07_DEV + python-3.9 + blueman
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.